### Function

# GimpUi prop_enum_radio_box_new

#### Declaration [src]

    GtkWidget*
    gimp_prop_enum_radio_box_new (
      GObject* config,
      const gchar* property_name,
      gint minimum,
      gint maximum
    )

#### Description [src]

Creates a group of radio buttons which function to set and display the specified enum property. The `minimum` and `maximum` arguments allow only a subset of the enum to be used. If the two arguments are equal (e.g., 0, 0), then the full range of the enum will be used. If you want to assign a label to the group of radio buttons, use `gimp_prop_enum_radio_frame_new()` instead of this function.

Available since: | 2.4

#### Parameters

`config` | `GObject`
| Object to which property is attached.
| The data is owned by the caller of the function.
`property_name` | `const gchar*`
| Name of enum property controlled by the radio buttons.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`minimum` | `gint`
| Smallest value of enum to be included.
`maximum` | `gint`
| Largest value of enum to be included.

#### Return value

Returns: | `GtkWidget`
| A `GtkBox` containing the radio buttons.
| The caller of the function takes ownership of the data, and is responsible for freeing it.